Bug 786151 - Review request: mingw-pkg-config - MinGW Windows pkg-config tool for cross compiling
Summary: Review request: mingw-pkg-config - MinGW Windows pkg-config tool for cross co...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-31 15:40 UTC by Erik van Pienbroek
Modified: 2015-03-13 11:56 UTC (History)
4 users (show)

Fixed In Version: mingw-pkg-config-0.26-2.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-27 11:58:19 UTC
kalevlember: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Erik van Pienbroek 2012-01-31 15:40:00 UTC
Spec URL: http://ftd4linux.nl/contrib/mingw-pkg-config.spec
SRPM URL: http://ftd4linux.nl/contrib/mingw-pkg-config-0.26-1.fc16.src.rpm
Description:
The pkgconfig tool determines compilation options. For each required
library, it reads the configuration file and outputs the necessary
compiler and linker flags.

This package contains pkg-config tool for cross compiling with the MinGW
toolchain.

Comment 1 Kalev Lember 2012-01-31 16:03:38 UTC
Fedora review mingw-pkg-config-0.26-1.fc16.src.rpm 2012-01-31

+ OK
! needs attention

rpmlint output:
$ rpmlint mingw32-pkg-config \
          mingw-pkg-config-debuginfo-0.26-1.fc16.x86_64.rpm \
          mingw-pkg-config-0.26-1.fc16.src.rpm
mingw32-pkg-config.x86_64: W: spelling-error %description -l en_US pkgconfig -> configure
mingw32-pkg-config.x86_64: W: spelling-error %description -l en_US toolchain -> tool chain, tool-chain, Chaitin
mingw32-pkg-config.x86_64: W: unexpanded-macro /usr/share/man/man1/%{mingw32_target}-pkg-config.1.gz %{mingw32_target}
mingw32-pkg-config.x86_64: W: unexpanded-macro /usr/bin/%{mingw32_target}-pkg-config %{mingw32_target}
mingw-pkg-config-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pkg-config-0.26/pkg.c
mingw-pkg-config-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pkg-config-0.26/pkg.h
mingw-pkg-config-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pkg-config-0.26/parse.c
mingw-pkg-config-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pkg-config-0.26/parse.h
mingw-pkg-config-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pkg-config-0.26/main.c
mingw-pkg-config.src: W: spelling-error %description -l en_US pkgconfig -> configure
mingw-pkg-config.src: W: spelling-error %description -l en_US toolchain -> tool chain, tool-chain, Chaitin
3 packages and 0 specfiles checked; 5 errors, 6 warnings.

! rpmlint found an unexpanded-macro %{mingw32_target}, which should instead be
  %{_mingw32_target} with an underscore.
  Other errors and warnings are harmless.
+ The package is named according to Fedora MinGW packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The stated license is the same as the one for the corresponding
  native Fedora package
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  47525c26a9ba7ba14bf85e01509a7234  pkg-config-0.26.tar.gz
  47525c26a9ba7ba14bf85e01509a7234  Download/pkg-config-0.26.tar.gz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
n/a The spec file MUST handle locales properly
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
n/a Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
n/a Packages should not contain libtool .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Directory ownership sane
+ Filenames are valid UTF-8


Remaining issues:
! %{mingw32_target} should be %{_mingw32_target}
! configure complains: WARNING: unrecognized options: --with-installed-glib

Comment 2 Erik van Pienbroek 2012-01-31 16:09:01 UTC
Thank you for the review!

Spec URL: http://ftd4linux.nl/contrib/mingw-pkg-config.spec
SRPM URL: http://ftd4linux.nl/contrib/mingw-pkg-config-0.26-2.fc16.src.rpm

Comment 3 Kalev Lember 2012-01-31 16:12:50 UTC
Looks good.

APPROVED

Comment 4 Erik van Pienbroek 2012-01-31 16:19:56 UTC
New Package SCM Request
=======================
Package Name: mingw-pkg-config
Short Description: MinGW Library for loading and sharing PKCS#11 modules
Owners: epienbro kalev
Branches: f16
InitialCC: mingwmaint

Comment 5 Erik van Pienbroek 2012-01-31 16:21:12 UTC
Please ignore the previous SCM request, it contained a silly copy/paste typo. This one's correct:

New Package SCM Request
=======================
Package Name: mingw-pkg-config
Short Description: MinGW Windows pkg-config tool for cross compiling
Owners: epienbro kalev
Branches: f16
InitialCC: mingwmaint

Comment 6 Gwyn Ciesla 2012-01-31 17:41:38 UTC
Git done (by process-git-requests).

Comment 7 Erik van Pienbroek 2015-03-13 11:34:06 UTC
Package Change Request
======================
Package Name: mingw-pkg-config
New Branches: el6
Owners: epienbro kalev yselkowitz

Comment 8 Gwyn Ciesla 2015-03-13 11:56:33 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.